begin

convention positive_current_flow=inward

load_mesh mesh_inf=ldmos.aps  suprem_import=yes
output sol_outf=Id_Vd_LDMOS.out

suprem_to_apsys_material suprem_mater=3 apsys_mater=1
suprem_to_apsys_material suprem_mater=1 apsys_mater=2
suprem_to_apsys_material suprem_mater=4 apsys_mater=3
suprem_to_apsys_material suprem_mater=2 apsys_mater=4

suprem_property user_material_mapping = yes

load_macro name= si mater= 1
load_macro name= sio2 mater= 2
load_macro name= poly mater= 3
load_macro name=sin mater=4

$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$
$
$  Contact definition
$
$ Source=1
$ Gate=2
$ Drain=3
$ Body=4
$ Substrate=5
$
$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$

suprem_contact num=1 xrange=(0.27 0.45)  yrange=(-9999.000000 &&
9999.000000) touch_mater=1 side=upper

suprem_contact num=2 xrange=(0.65 1.25)  yrange=(0.10 0.130000) &&
touch_mater=3 side=within

suprem_contact num=3 xrange=(2.47 10.000000)  yrange=(-9999.000000 &&
9999.000000) touch_mater=1 side=upper

suprem_contact num=4 xrange=(0.000000 0.09)  yrange=(-9999.000000 &&
9999.000000) touch_mater=1 side=upper

suprem_contact num=5 xrange=(0.3 1.3)  yrange=(-9999.000000 &&
9999.000000) touch_mater=1 side=lower


contact num=1
contact num=2
contact num=3
contact num=4
contact num=5

interface model=charge within_y=(-0.1, 0.1) within_x=(1.5, 2.5) &&
 fix_charge=5e14

mobility_xy elec_field_model=intel1 hole_field_model=intel1

impact_okuto_crowell mater=1
impact_okuto_crowell mater=2
impact_okuto_crowell mater=3
impact_okuto_crowell mater=4



more_output space_charge=yes impact_ionization=yes ac_data=no &&
 elec_mobility=yes hole_mobility=yes



newton_par damping_step=2. var_tol=1.e-3 res_tol=1.e-3 &&
  max_iter=50 opt_iter=15 stop_iter=15

equilibrium


newton_par damping_step=8. var_tol=1.e-2 res_tol=1.e-2 &&
  max_iter=50 opt_iter=15 stop_iter=15

$-------------------------------------------------------------
$ Vg=1.0 Trace
$-------------------------------------------------------------

scan var=voltage_2 value_to=1 min_step=1e-9 max_step=0.5 &&
init_step=0.001

scan var=voltage_3 value_to=5 min_step=1e-6 max_step=2.0 &&
init_step=0.001

scan var=voltage_3 value_to=0 min_step=1e-6 max_step=2.0 &&
init_step=0.001

$-------------------------------------------------------------
$ Vg=2.0 Trace
$-------------------------------------------------------------

scan var=voltage_2 value_to=2 min_step=1e-9 max_step=0.5 &&
init_step=0.001

scan var=voltage_3 value_to=5 min_step=1e-6 max_step=2.0 &&
init_step=0.001

scan var=voltage_3 value_to=0 min_step=1e-6 max_step=2.0 &&
init_step=0.001

$-------------------------------------------------------------
$ Vg=3.0 Trace
$-------------------------------------------------------------

scan var=voltage_2 value_to=3 min_step=1e-9 max_step=0.5 &&
init_step=0.001

scan var=voltage_3 value_to=5 min_step=1e-6 max_step=2.0 &&
init_step=0.001

scan var=voltage_3 value_to=0 min_step=1e-6 max_step=2.0 &&
init_step=0.001

$-------------------------------------------------------------
$ Vg=4.0 Trace
$-------------------------------------------------------------

scan var=voltage_2 value_to=4 min_step=1e-9 max_step=0.5 &&
init_step=0.001

scan var=voltage_3 value_to=5 min_step=1e-6 max_step=2.0 &&
init_step=0.001

scan var=voltage_3 value_to=0 min_step=1e-6 max_step=2.0 &&
init_step=0.001

$-------------------------------------------------------------
$ Vg=5.0 Trace
$-------------------------------------------------------------

scan var=voltage_2 value_to=5 min_step=1e-9 max_step=0.5 &&
init_step=0.001

scan var=voltage_3 value_to=5 min_step=1e-6 max_step=2.0 &&
init_step=0.001



end